Last Comment Bug 796805 - Permanent orange: TEST-UNEXPECTED-FAIL | test_iteratorUtils.js | TypeError: childArray is null
: Permanent orange: TEST-UNEXPECTED-FAIL | test_iteratorUtils.js | TypeError: c...
Status: RESOLVED FIXED
[perma-orange]
: intermittent-failure, regression
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- blocker (vote)
: Thunderbird 18.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 23:33 PDT by Mark Banner (:standard8)
Modified: 2012-11-25 19:31 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix (1.31 KB, patch)
2012-10-02 04:35 PDT, Florian Quèze [:florian] [:flo]
no flags Details | Diff | Review
Fix (1.33 KB, patch)
2012-10-02 04:37 PDT, Florian Quèze [:florian] [:flo]
standard8: review+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-10-01 23:33:33 PDT
This just appeared in comm-central, note that we've had a similar issue before with bug 751873.

There's no obvious changesets jumping out at me, so I have bisect running.

>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_iteratorUtils.js | [test_toArray_NodeList : 35] rootnode == rootnode

TEST-PASS | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_iteratorUtils.js | [test_toArray_NodeList : 39] true == true

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_iteratorUtils.js:41 | TypeError: childArray is null - See following stack:
JS frame :: test_toArray_NodeList@/home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_iteratorUtils.js:41
JS frame :: run_test@/home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/base/test/unit/test_iteratorUtils.js:90
JS frame :: _execute_test@/home/cltbld/talos-slave/test/build/xpcshell/head.js:315
JS frame :: @-e:1
<<<<<<<
Comment 1 Florian Quèze [:florian] [:flo] 2012-10-02 04:35:43 PDT
Created attachment 666929 [details] [diff] [review]
Fix

I added a dump at http://mxr.mozilla.org/comm-central/source/mailnews/base/util/iteratorUtils.jsm#38 and saw that aObj.constructor.toString() contains "function NodeList() {\n [native code]\n}".
Comment 2 Florian Quèze [:florian] [:flo] 2012-10-02 04:37:05 PDT
Created attachment 666931 [details] [diff] [review]
Fix

The file I actually meant to attach this time (same patch without syntax error).
Comment 3 Florian Quèze [:florian] [:flo] 2012-10-02 05:30:01 PDT
https://hg.mozilla.org/comm-central/rev/86bb28178965

Note You need to log in before you can comment on or make changes to this bug.